=== panther_applet/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

if (NOT DISABLE_FLASHBACK)
	include(${CMAKE_CURRENT_SOURCE_DIR}/applet.txt)
endif ()
