=== panther_mate/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

if (NOT DISABLE_MATE)
	include(${CMAKE_CURRENT_SOURCE_DIR}/applet.txt)
endif ()
