=== po/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

include (Translations)
add_translations_directory("panther_launcher")
add_translations_catalog("panther_launcher" ../src/Backend ../src ../src/Widgets ../src/synapse-core ../src/synapse-plugins )
