=== debian/control ===
Source: panther-launcher
Maintainer: Sergio Costas <rastersoft@gmail.com>
Priority: optional
Section: misc
Standards-Version: 4.0.0
Build-Depends: build-essential, po-debconf, valac (>=0.26), libc6-dev, libgee-0.8-dev, libjson-glib-dev, libgnome-menu-3-dev, libsoup2.4-dev, libzeitgeist-2.0-dev, cmake, intltool, libpanel-applet-dev, libmate-panel-applet-dev

Package: panther-launcher
Architecture: any
Version: 1.13.0
Depends: libgtk-3-0, libgee-0.8-2, libgnome-menu-3-0, libzeitgeist-2.0-0, libc6-dev, gnome-icon-theme
Description: A fork from Slingshot Launcher. Its main change is that it doesn't
 depend on Gala, Granite or other libraries not available in regular
 linux distros. It also has been ported to Autovala, allowing an
 easier build. Finally, it also has an applet for Gnome Flashback and
 an extension for Gnome Shell, allowing to use it from these desktops.
 .
